﻿'
' Copyright (c) 2011, MindFusion LLC - Bulgaria.
'

Imports MindFusion.Charting.Wpf
Imports System.Windows.Media.Effects

Class Window1

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

        LineChart1.Title = "Profit/Loss"
        LineChart1.TitleFontSize = 18
        LineChart1.X2Axes.Add(New MindFusion.Charting.Wpf.Axis())

        Dim series As LineSeries = New LineSeries
        LineChart1.Series.Add(series)
        series.Strokes = New BrushCollection
        series.Fills = New BrushCollection
        series.ScatterStrokes = New BrushCollection
        series.ScatterFills = New BrushCollection
        series.Effect = New DropShadowEffect()
        CType(series.Effect, DropShadowEffect).Opacity = 0.7
        CType(series.Effect, DropShadowEffect).ShadowDepth = 3
        series.Strokes.Add(Brushes.Red)
        series.StrokeThickness = 2
        series.ScatterType = ScatterType.Diamond
        series.ScatterSize = 12
        series.ScatterFills.Add(Brushes.Pink)
        series.ScatterStrokes.Add(Brushes.Red)
        series.StrokeDashArray = New DoubleCollection(New Double() {4, 1})

        Dim d1 As New DateTime(2011, 3, 31)
        Dim d2 As New DateTime(2011, 4, 30)
        Dim d3 As New DateTime(2011, 5, 31)
        Dim d4 As New DateTime(2011, 6, 30)
        Dim d5 As New DateTime(2011, 7, 31)
        Dim d6 As New DateTime(2011, 8, 31)
        Dim d7 As New DateTime(2011, 9, 30)
        Dim d8 As New DateTime(2011, 10, 31)

        series.XData.Clear()
        series.XData.Add(d1.ToOADate())
        series.XData.Add(d2.ToOADate())
        series.XData.Add(d3.ToOADate())
        series.XData.Add(d4.ToOADate())
        series.XData.Add(d5.ToOADate())
        series.XData.Add(d6.ToOADate())

        series.YData = New DoubleCollection(New Double() {228, 213, -34, -56, 109, -40, _
         -69, 38})

        Dim series1 As New LineSeries()
        series1.Strokes = New BrushCollection
        series1.Fills = New BrushCollection
        series1.ScatterStrokes = New BrushCollection
        series1.ScatterFills = New BrushCollection
        series1.Effect = New DropShadowEffect()
        CType(series1.Effect, DropShadowEffect).Opacity = 0.7
        CType(series1.Effect, DropShadowEffect).ShadowDepth = 3
        series1.Strokes.Add(Brushes.Blue)
        series1.StrokeThickness = 2
        series1.ScatterType = ScatterType.InvertedTriangle
        series1.ScatterSize = 12
        series1.ScatterFills.Add(Brushes.LightBlue)
        series1.ScatterStrokes.Add(Brushes.Blue)
        series1.StrokeDashArray = New DoubleCollection(New Double() {3, 1, 0.5, 1})

        Dim dt1 As New DateTime(2012, 1, 15)
        Dim dt2 As New DateTime(2012, 1, 31)
        Dim dt3 As New DateTime(2012, 3, 10)
        Dim dt4 As New DateTime(2012, 3, 31)
        Dim dt5 As New DateTime(2012, 4, 10)
        Dim dt6 As New DateTime(2012, 4, 25)
        Dim dt7 As New DateTime(2012, 4, 30)
        Dim dt8 As New DateTime(2012, 5, 2)


        series1.XData.Add(dt1.ToOADate())
        series1.XData.Add(dt2.ToOADate())
        series1.XData.Add(dt3.ToOADate())
        series1.XData.Add(dt4.ToOADate())
        series1.XData.Add(dt5.ToOADate())
        series1.XData.Add(dt6.ToOADate())
        series1.XAxis = LineChart1.X2Axes(0)

        series1.YData = New DoubleCollection(New Double() {128, 113, 134, 156, -45, 109, _
         88, -54})
        LineChart1.Series.Add(series1)

        LineChart1.X2Axes(0).ValueFormat = ValueFormat.DateTime
        Dim start1 As New DateTime(2012, 1, 1)
        Dim end1 As New DateTime(2012, 5, 7)
        LineChart1.X2Axes(0).MinValue = start1.ToOADate()
        LineChart1.X2Axes(0).MaxValue = end1.ToOADate()
        LineChart1.X2Axes(0).LabelFormat = "MMMM dd"
        LineChart1.X2Axes(0).LabelType = LabelType.AutoScale
        LineChart1.X2Axes(0).Interval = (end1.ToOADate() - start1.ToOADate()) / 8
        LineChart1.X2Axes(0).LabelRotationAngle = 35
        LineChart1.X2Axes(0).Title = ""
        LineChart1.X2Axes(0).Tick = 5
        LineChart1.X2Axes(0).Title = "2012"
        LineChart1.X2Axes(0).LabelStroke = Brushes.Blue
        LineChart1.X2Axes(0).TitleStroke = Brushes.Blue


        LineChart1.XAxes(0).ValueFormat = ValueFormat.DateTime
        Dim start As New DateTime(2011, 3, 1)
        Dim [end] As New DateTime(2011, 10, 31)
        LineChart1.XAxes(0).MinValue = start.ToOADate()
        LineChart1.XAxes(0).MaxValue = [end].ToOADate()
        LineChart1.XAxes(0).LabelFormat = "MMMM dd"
        LineChart1.XAxes(0).LabelType = LabelType.AutoScale
        LineChart1.XAxes(0).Interval = ([end].ToOADate() - start.ToOADate()) / 8
        LineChart1.XAxes(0).LabelRotationAngle = 35
        LineChart1.XAxes(0).Title = ""
        LineChart1.XAxes(0).Tick = 5
        LineChart1.XAxes(0).Title = "2011"
        LineChart1.XAxes(0).LabelStroke = Brushes.Red
        LineChart1.XAxes(0).TitleStroke = Brushes.Red

        LineChart1.YAxes(0).Interval = 30
        LineChart1.YAxes(0).Title = "USD, in Mlns."
    End Sub
End Class
